Skip to content
View as Markdown

GetSessionLogsResponse

Field Type Description
total_pages uint64 The total number of pages available for the query. This is used for pagination purposes to indicate how many pages of results are available based on the total number of logs and the number of logs per page specified in the request.
logs repeated bitdrift.public.unary.timeline.v1.Log The list of logs for the session based on the query parameters specified in the request.

Example

JSON
{
  "logs": [
    {
      "fields": {
        "fields": {
          "key": {}
        }
      },
      "listener_ids": [
        "abc-123-def"
      ],
      "log_level": "DEBUG",
      "log_type": "REPLAY",
      "message": "Example text",
      "timestamp": "2024-01-15T09:30:00Z"
    }
  ],
  "total_pages": 3
}